# -*- coding: UTF-8 -*-

import time
import logging

from django.core.management.base import BaseCommand

# Import from crma
from crma.management.mailer import Mailer

logger = logging.getLogger(__name__)


# EMAIL SCAN FREQUENCY
SCAN_EVERY = 30


class Command(BaseCommand):
    def handle(self, *args, **options):
        mailer = Mailer()

        try:
            while True:
                try:
                    mailer()
                except Exception:
                    logger.exception('Uncaught exception')
                finally:
                    # SLEEP
                    time.sleep(SCAN_EVERY)
        except (KeyboardInterrupt, SystemExit):
            return
